---
sidebar_position: 8
description: Create receipt and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create receipt
 Generates pdf receipts for orders



`Function CreateReceipt(Val Token, Val UUIDArray, Val Type = "tpl_russia", Val CopiesPerSheet = 2, Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | UUIDArray | --uuids | String, Array of String | &#x2714; | One or an array of order UUIDs |
  | Type | --type | String | &#x2716; | Receipt type (language) |
  | CopiesPerSheet | --count | Number | &#x2716; | Number of copies of one receipt per sheet |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from CDEK

:::tip
Available receipt types (languages): tpl_china, tpl_armenia, tpl_russia, tpl_english, tpl_italian, tpl_korean, tpl_latvian, tpl_lithuanian, tpl_german, tpl_turkish, tpl_czech, tpl_thailand, tpl_invoice

It is recommended to specify at least 2 copies per sheet (parameter CopiesPerSheet): one to be glued on the shipment, the other to be kept by the sender

Method at API documentation: [Creating order receipt](https://api-docs.cdek.ru/36969649.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token  = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    UUID   = "50fbb719-69d4-4ded-93ca-ff7d005c9fae";
    Type   = "tpl_russia";
    Copies = 1;

    Result = OPI_CDEK.CreateReceipt(Token, UUID, Type, Copies, True);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek CreateReceipt \
             --token "***" \
             --uuids "9e15fe3c-2071-4ed8-9ded-70df723825d3" \
             --type "tpl_russia" \
             --count 1 \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek CreateReceipt ^
             --token "***" ^
             --uuids "9e15fe3c-2071-4ed8-9ded-70df723825d3" ^
             --type "tpl_russia" ^
             --count 1 ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "entity": {
  "uuid": "e22c3284-e811-4eb3-8bbb-36460e42250e"
 },
 "requests": [
  {
   "request_uuid": "8d30cd85-bd7d-4b50-952f-b1ca1c468102",
   "type": "CREATE",
   "date_time": "2025-12-10T20:09:22+00:00",
   "state": "ACCEPTED"
  }
 ],
 "related_entities": []
}
```
